using GTANetworkAPI;
using System;
using System.Collections.Generic;
using System.Text;

namespace ReallifeGamemode.Server.Events
{
    class Siren : Script
    {
        private readonly Dictionary<NetHandle, bool> _sirenStates = new Dictionary<NetHandle, bool>();

        [RemoteEvent("keyPress:B:toggleSiren")]
        public void ToggleSirenEvent(Client player)
        {
            if (!player.IsInVehicle || player.VehicleSeat != -1) return;
            Vehicle pV = player.Vehicle;
            bool oldValue = _sirenStates.ContainsKey(pV.Handle) ? _sirenStates[pV.Handle] : false;
            bool newValue = !oldValue;

            _sirenStates[pV.Handle] = newValue;
            pV.SetSharedData("sirenSound", newValue);

            NAPI.ClientEvent.TriggerClientEventForAll("toggleVehicleSiren", pV, newValue);
        }
    }
}
